#ifndef MOTHER_H
#define MOTHER_H

// ** Mother ********************************************************
// George Marsaglia's The mother of all random number generators
// producing uniformly distributed pseudo random 32 bit values with
// period about 2^250.
//
// Bob Wheeler 8/8/94
// Re-arranged for the BeOS RNG Library by John Cooke 1998-04-21
//

#ifndef RNG_H
#include "rng.h"
#endif

class Mother : public RNG
{
private:
	unsigned short buffer[20];

	static RNGInfo *info;
public:
// we must override these two pure virtual functions ...
    void Seed (uint32);
    uint32 lRand ();

// we override these two ...
	double dRand();
	const RNGInfo *Info() { return info; };

// we will have a constructor too
    Mother (uint32);
} ;


#endif
