#ifndef R250_H
#define R250_H 2.0
//   ________
// _| r250.h |________________________________________________________________
//	class declarations for r250 random number generator,
//
//	Kirkpatrick, S., and E. Stoll, 1981; "A Very Fast
//	Shift-Register Sequence Random Number Generator",
//	Journal of Computational Physics, V.40
//
//	see also: W.L. Maier, DDJ May 1991
//
//	modified by John Cooke, September 1997
//  re-base-classed April 1998

#ifndef RNG_H
#include "rng.h"
#endif

class R250 : public RNG
{
private:
	uint32 buffer[ 250 ];
	long index;
	static RNGInfo *info;
public:
	R250 (uint32);
	void Seed (uint32);	// must have
	uint32 lRand();	// must have
	double dRand();
	const RNGInfo *Info() { return info; };
} ;

#endif
